# asnavigationdrawer

## Getting Started
- ASNavigationDrawer is flutter package that writen in Dart language for navigation drawer menu with customized header.

## How to use ?
```
//INITIALIZE DRAWER ITEMS
List<DrawerItem> drawerItems() {
  return [
    new DrawerItem("Profile", Icons.person_outline),
    new DrawerItem("Settings", Icons.settings),
  ];
}

//INITIALIZE DRAWER PAGES
List<StatelessWidget> drawerPages() {
  return [
    new Page1(), //Page1() IS StatelessWidget IN YOUR PROJECT
    new Page2(),
  ];
}

//ADD WIDGET THAT RETURNS AsNavigationDrawer IN body
@override
Widget build(BuildContext context) {
  return new Scaffold(
    body: AsNavigationDrawer(drawerItems(), drawerPages()),
  );
}
```
